## python-schema-salad 8.7.20240905150001

=== Makefile ===
# This file is part of schema-salad,
# https://github.com/common-workflow-language/schema-salad/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=schema_salad
PACKAGE=schema-salad
EXTRAS=[pycodegen]

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py ${MODULE}/avro/*.py ${MODULE}/tests/*.py) setup.py
DEVPKGS=-rdev-requirements.txt -rtest-requirements.txt -rmypy-requirements.txt -rlint-requirements.txt
COVBASE=coverage run --append
PYTEST_EXTRA ?=

VERSION=8.7.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
	--max-count=1 --format=format:%cI`)

## all                    : default task (install schema-salad in dev mode)
all: dev

## help                   : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## cleanup                : shortcut for "make sort_imports format flake8 diff_pydocstyle_report"
cleanup: sort_imports format flake8 diff_pydocstyle_report

## install-dep            : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies: FORCE
	pip install --upgrade $(DEVPKGS)

## install                : install the schema-salad package and scripts
install: FORCE
	pip install .$(EXTRAS)

## dev                    : install the schema-salad package in dev mode
dev: install-dep
	pip install -U pip setuptools wheel
	pip install -e .$(EXTRAS)

## dist                   : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	python -m build

## docs                   : make the docs
docs: FORCE
	cd docs && $(MAKE) html

## clean                  : clean up all temporary / machine-generated files
clean: FORCE
	rm -rf ${MODULE}/__pycache__ ${MODULE}/tests/__pycache__ schema_salad/_version.py
	rm -f *.so ${MODULE}/*.so ${MODULE}/tests/*.so ${MODULE}/avro/*.so
	python setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sort_import            : sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES)) mypy-stubs
	isort $^

remove_unused_imports: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	autoflake --in-place --remove-all-unused-imports $^

pep257: pydocstyle
## pydocstyle             : check Python docstring style
pydocstyle: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pydocstyle setup.py $^ > $@ 2>&1 || true

## diff_pydocstyle_report : check Python docstring style for changed files only
diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --compare-branch=origin/main --violations=pydocstyle --fail-under=100 $^

## codespell              : check for common misspellings
codespell:
	codespell -w $(shell git ls-files | grep -v mypy-stubs | grep -v gitignore | grep -v EDAM.owl | grep -v pre.yml | grep -v test_schema)

## format                 : check/fix all code indentation and formatting (runs black)
format:
	black --force-exclude metaschema.py --exclude _version.py schema_salad setup.py mypy-stubs

format-check:
	black --diff --check --force-exclude metaschema.py --exclude _version.py schema_salad setup.py mypy-stubs

## pylint                 : run static code analysis on Python code
pylint: FORCE
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: FORCE
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --compare-branch=origin/main --violations=pylint pylint_report.txt

.coverage:
	pytest --cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}
	$(COVBASE) -m schema_salad.main \
		--print-jsonld-context schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-rdfs schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.main \
		--print-avro schema_salad/metaschema/metaschema.yml \
		> /dev/null
	$(COVBASE) -m schema_salad.makedoc --debug \
		schema_salad/metaschema/metaschema.yml \
		> /dev/null

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover --compare-branch=origin/main $^

diff-cover.html: coverage.xml
	diff-cover --compare-branch=origin/main $^ --html-report $@

## test                   : run the schema-salad test suite
test: $(PYSOURCES)
	python -m pytest -rsfE ${PYTEST_EXTRA}

## testcov                : run the schema-salad test suite and collect coverage
testcov: $(PYSOURCES)
	pytest --cov ${PYTEST_EXTRA}

sloccount.sc: $(PYSOURCES) Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount              : count lines of code
sloccount: $(PYSOURCES) Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: $(filter-out setup.py,$(PYSOURCES))
	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^

mypyc: $(PYSOURCES)
	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 pip install --verbose -e . \
		 && pytest "${PYTEST_EXTRA}"

mypyi:
	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 pip install .${EXTRAS}

check-metaschema-diff:
	docker run \
		-v "$(realpath ${MODULE}/metaschema/):/tmp/:ro" \
		"quay.io/commonwl/cwltool_module:latest" \
		schema-salad-doc /tmp/metaschema.yml \
		> /tmp/metaschema.orig.html
	schema-salad-doc \
		"$(realpath ${MODULE}/metaschema/metaschema.yml)" \
		> /tmp/metaschema.new.html
	diff -a --color /tmp/metaschema.orig.html /tmp/metaschema.new.html || true

compute-metaschema-hash:
	@python -c 'import hashlib; from schema_salad.tests.test_makedoc import generate_doc; hasher = hashlib.sha256(); hasher.update(generate_doc().encode("utf-8")); print(hasher.hexdigest());'

shellcheck: FORCE
	shellcheck build-schema_salad-docker.sh release-test.sh

## bandit                 : check for common security issues
bandit:
	bandit --recursive --exclude schema_salad/tests/ schema_salad

pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
	pyupgrade --exit-zero-even-if-changed --py38-plus $^
	auto-walrus $^

release-test: FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )
	./release-test.sh

release:
	export SETUPTOOLS_SCM_PRETEND_VERSION=${VERSION} && \
	./release-test.sh && \
	. testenv2/bin/activate && \
		pip install build && \
		python -m build testenv2/src/${PACKAGE} && \
		pip install twine && \
		twine upload testenv2/src/${PACKAGE}/dist/* && \
		git tag ${VERSION} && git push --tags

flake8: FORCE
	flake8 $(PYSOURCES)

schema_salad/metaschema.py: schema_salad/codegen_base.py schema_salad/python_codegen_support.py schema_salad/python_codegen.py schema_salad/metaschema/*.yml
	schema-salad-tool --codegen python schema_salad/metaschema/metaschema.yml > $@

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.17.6, < 0.19
rdflib>= 4.2.2, < 8.0.0
mistune>=3,<3.1
CacheControl[filecache]>= 0.11.7, < 0.15
black>=19.10b0,<24.9
mypy_extensions
importlib_resources>=1.4;python_version<'3.9'

=== debian/changelog ===
python-schema-salad (8.7.20240905150001-1) unstable; urgency=medium

  * d/watch: adapt to changed package name
  * New upstream version
  * Drop patch "rework_all", it is no longer needed.
  * d/control: black is needed for compilation, not just testing
  * d/rules: small cleanups, run the tests with the same options as upstream
  * Added patch to build the mypyc modules with debugging information.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 09 Sep 2024 13:11:29 +0200

=== debian/control ===
Source: python-schema-salad
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               python3-setuptools-scm,
               python3-mistune (>> 3),
               python3-requests,
               python3-yaml,
               python3-rdflib,
               python3-ruamel.yaml,
               python3-mypy,
               python3-typeshed,
               python3-cachecontrol ( >> 0.12.12 ),
               python3-filelock,
               pybuild-plugin-pyproject,
               python3-pytest-xdist <!nocheck>,
               python3-pytest (>> 6.2) <!nocheck>,
               python3-pytest-runner <!nocheck>,
               black,
               python3-typing-extensions <!nocheck>,
               help2man
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
Homepage: https://schema-salad.readthedocs.io/
Rules-Requires-Root: no

Package: python3-schema-salad
Architecture: any
Depends: ${python3:Depends},
         python3-mistune ( >> 3),
         python3-filelock,
         ${misc:Depends},
         ${shlibs:Depends},
         libjs-bootstrap
Recommends: cwltool, black
Breaks: cwltool (<< 3.1.20210521105815)
Description: Schema Annotations for Linked Avro Data (SALAD)
 Salad is a schema language for describing JSON or YAML structured linked data
 documents. Salad is based originally on JSON-LD and the Apache Avro data
 serialization system.
 .
 Salad schema describes rules for preprocessing, structural validation, and
 link checking for documents described by a Salad schema. Salad features for
 rich data modeling such as inheritance, template specialization, object
 identifiers, object references, documentation generation, and transformation
 to RDF. Salad provides a bridge between document and record oriented data
 modeling and the Semantic Web.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=schema-salad
#export PYBUILD_DISABLE=test
export SCHEMA_SALAD_USE_MYPYC=1
export MYPYPATH=$(CURDIR)/mypy-stubs
#export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. help2man --no-info \
		   --version-string=${DEB_VERSION_UPSTREAM} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python3\ -m\ schema_salad > debian/schema-salad-tool.1
	sed -i 's/python3 -m schema_salad/schema-salad-tool/g' \
		debian/schema-salad-tool.1
	sed -i 's/__main__.py/schema-salad-tool/g' debian/schema-salad-tool.1
	sed -i 's/PYTHON/SCHEMA-SALAD-TOOL/g' debian/schema-salad-tool.1
	PYTHONPATH=. help2man --no-info \
		   --version-string=${DEB_VERSION_UPSTREAM} \
		   --no-discard-stderr \
		--name="Schema Annotations for Linked Avro Data (SALAD)" \
		python3\ -m\ schema_salad.makedoc > debian/schema-salad-doc.1
	sed -i 's/python3 -m schema_salad.makedoc/schema-salad-doc/g' \
		debian/schema-salad-doc.1
	sed -i 's/__main__.py/schema-salad-doc/g' debian/schema-salad-doc.1
	sed -i 's/PYTHON/SCHEMA-SALAD-DOC/g' debian/schema-salad-doc.1
	find . -name "*.coverage" -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_install
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
		-rsfE -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas or test_load_by_yaml_metaschema)' \
		--pyargs schema_salad" dh_auto_test
endif

execute_after_dh_auto_install:
	find debian -name LICENSE -delete
	find debian -name '*.cwl' -exec chmod a+x {} \;

execute_after_dh_auto_clean:
	rm -f debian/*.1

## python-schema-salad 8.8.20241206093842

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 COVBASE=coverage run --append
 PYTEST_EXTRA ?=
 
-VERSION=8.7.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=8.8.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all                    : default task (install schema-salad in dev mode)
@@ -205,7 +205,7 @@
 	bandit --recursive --exclude schema_salad/tests/ schema_salad
 
 pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
-	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	pyupgrade --exit-zero-even-if-changed --py39-plus $^
 	auto-walrus $^
 
 release-test: FORCE
@@ -228,6 +228,11 @@
 schema_salad/metaschema.py: schema_salad/codegen_base.py schema_salad/python_codegen_support.py schema_salad/python_codegen.py schema_salad/metaschema/*.yml
 	schema-salad-tool --codegen python schema_salad/metaschema/metaschema.yml > $@
 
+vpath %.yml schema_salad/tests/cpp_tests
+
+schema_salad/tests/cpp_tests/%.h: %.yml
+	schema-salad-tool --codegen cpp --codegen-target $@ $<
+
 FORCE:
 
 # Use this to print the value of a Makefile variable

=== debian/changelog ===
python-schema-salad (8.8.20241206093842-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:39:28 +0000

python-schema-salad (8.8.20241206093842-2) unstable; urgency=medium

  * Build the docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 Jan 2025 17:46:10 +0100

python-schema-salad (8.8.20241206093842-1) unstable; urgency=medium

  * d/control: adjust python*-dev* build-deps to help cross-building
  * d/docs: include the Apache NOTICE file from the avro fork.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Dec 2024 00:00:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3,
                python3-all,
-               python3-all-dev,
+               python3-all-dev:native,
+               libpython3-all-dev,
                python3-setuptools,
                python3-setuptools-scm,
                python3-mistune (>> 3),
@@ -25,8 +27,15 @@
                python3-pytest-runner <!nocheck>,
                black,
                python3-typing-extensions <!nocheck>,
-               help2man
-Standards-Version: 4.6.2
+               help2man,
+               python3-sphinx-autoapi <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinxcontrib.autoprogram <!nodoc>,
+               python3-doc <!nodoc>,
+               python-rdflib-doc <!nodoc>,
+               python-requests-doc <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://schema-salad.readthedocs.io/

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_build:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR) $(MAKE) docs
+endif
 	PYTHONPATH=. help2man --no-info \
 		   --version-string=${DEB_VERSION_UPSTREAM} \
 		   --no-discard-stderr \

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest (>> 6.2), black
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/schema-salad/schema[-_]salad-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-schema-salad 8.9.20250408123006

=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.17.6, < 0.19
rdflib>= 4.2.2, < 8.0.0
mistune>=3,<3.1
CacheControl[filecache]>= 0.13.1, < 0.15
black>=19.10b0,<24.11
mypy_extensions

=== debian/changelog ===
python-schema-salad (8.9.20250408123006-1) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing.
  * Clean up test invocation in d/rules and switch to autopkgtest-pkg-pybuild.
  * docs: link to other packages docs as well.
  * d/control: build-dep on graphviz for the docs.
  * d/lintian-overrides: freshen
  * Skip "test_detect_changes_in_html", only of interest to developers.
    Closes: #1101866.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Apr 2025 12:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -34,8 +35,9 @@
                python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-doc <!nodoc>,
                python-rdflib-doc <!nodoc>,
-               python-requests-doc <!nodoc>
-Standards-Version: 4.7.0
+               python-requests-doc <!nodoc>,
+               graphviz <!nodoc>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://schema-salad.readthedocs.io/
@@ -49,7 +51,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
          libjs-bootstrap
-Recommends: cwltool, black
+Recommends: cwltool,
+            black
 Breaks: cwltool (<< 3.1.20210521105815)
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data

## python-schema-salad 8.9.20250723145140

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 COVBASE=coverage run --append
 PYTEST_EXTRA ?=
 
-VERSION=8.8.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=8.9.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all                    : default task (install schema-salad in dev mode)

=== debian/changelog ===
python-schema-salad (8.9.20250723145140-2) unstable; urgency=medium

  * Added patch to formally support newer mistune.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 17:52:37 +0200

python-schema-salad (8.9.20250723145140-1) unstable; urgency=medium

  * d/control: switch back to pybuild-based autopkgtests
  * New upstream version. Closes: #1114331
  * d/control: remove outdated package version restrictions.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 14 Sep 2025 15:22:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -20,11 +20,11 @@
                python3-ruamel.yaml,
                python3-mypy,
                python3-typeshed,
-               python3-cachecontrol ( >> 0.12.12 ),
+               python3-cachecontrol,
                python3-filelock,
                pybuild-plugin-pyproject,
                python3-pytest-xdist <!nocheck>,
-               python3-pytest (>> 6.2) <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                black,
                python3-typing-extensions <!nocheck>,
@@ -53,7 +53,6 @@
          libjs-bootstrap
 Recommends: cwltool,
             black
-Breaks: cwltool (<< 3.1.20210521105815)
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
  documents. Salad is based originally on JSON-LD and the Apache Avro data

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,12 @@
 
 DH_VERBOSE := 1
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 export PYBUILD_NAME=schema-salad
-#export PYBUILD_DISABLE=test
+export PYBUILD_TEST_ARGS=-rsfE $(DEB_BUILD_OPTION_PARALLEL:%=-n %) -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas or test_load_by_yaml_metaschema or test_detect_changes_in_html)' --pyargs schema_salad
 export SCHEMA_SALAD_USE_MYPYC=1
 export MYPYPATH=$(CURDIR)/mypy-stubs
-#export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -37,16 +36,6 @@
 	sed -i 's/PYTHON/SCHEMA-SALAD-DOC/g' debian/schema-salad-doc.1
 	find . -name "*.coverage" -delete
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_install
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
-	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-rsfE -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas or test_load_by_yaml_metaschema)' \
-		--pyargs schema_salad" dh_auto_test
-endif
-
 execute_after_dh_auto_install:
 	find debian -name LICENSE -delete
 	find debian -name '*.cwl' -exec chmod a+x {} \;

## python-schema-salad 8.9.20251102115403

=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.17.6, < 0.19
rdflib>= 4.2.2, < 8.0.0
mistune>=3,<3.2
CacheControl[filecache]>= 0.13.1, < 0.15
black>=19.10b0,<25.10
mypy_extensions

=== debian/changelog ===
python-schema-salad (8.9.20251102115403-1) unstable; urgency=medium

  * New upstream version. Closes: #1123456
  * Standards-Version: 4.7.3 (routine-update)
  * Removed patch applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Jan 2026 10:34:19 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                python-rdflib-doc <!nodoc>,
                python-requests-doc <!nodoc>,
                graphviz <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://schema-salad.readthedocs.io/
